
# Slot: creator_id


Identifies the persons or groups responsible for the creation of the mapping. The creator is the agent that put the mapping in its published form, which may be different from the author, which is a person that was actively involved in the assertion of the mapping. Recommended to be a (pipe-separated) list of ORCIDs or otherwise identifying URLs, but any identifying string (such as name and affiliation) is permissible.

URI: [sssom:creator_id](https://w3id.org/sssom/creator_id)


## Domain and Range

None &#8594;  <sub>0..\*</sub> [EntityReference](types/EntityReference.md)

## Parents


## Children


## Used by

 * [Mapping](Mapping.md)
 * [MappingSet](MappingSet.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Mappings:** | | dc:creator |

