
# Slot: predicate_label


The label of the predicate/relation of the mapping

URI: [sssom:predicate_label](https://w3id.org/sssom/predicate_label)


## Domain and Range

None &#8594;  <sub>0..1</sub> [String](types/String.md)

## Parents


## Children


## Used by

 * [Mapping](Mapping.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Examples:** | | Example(value='owl:sameAs', description='The subject and the object are instances (owl individuals), and the two instances are the same.') |
|  | | Example(value='owl:equivalentClass', description='The subject and the object are classes (owl class), and the two classes are the same.') |
|  | | Example(value='owl:equivalentProperty', description='The subject and the object are properties (owl object, data, annotation properties), and the two properties are the same.') |
|  | | Example(value='rdfs:subClassOf', description='The subject and the object are classes (owl class), and the subject is a subclass of the object.') |
|  | | Example(value='rdfs:subPropertyOf', description='The subject and the object are properties (owl object, data, annotation properties), and the subject is a subproperty of the object.') |
|  | | Example(value='skos:relatedMatch', description='The subject and the object are associated in some unspecified way.') |
|  | | Example(value='skos:closeMatch', description='The subject and the object are sufficiently similar that they can be used interchangeably in some information retrieval applications.') |
|  | | Example(value='skos:exactMatch', description='The subject and the object can, with a high degree of confidence, be used interchangeably across a wide range of information retrieval applications.') |
|  | | Example(value='skos:narrowMatch', description='From the SKOS primer: A triple skos:narrower (and skos:narrowMatch) asserts that , the object of the triple, is a narrower concept than , the subject of the triple.') |
|  | | Example(value='skos:broadMatch', description='From the SKOS primer: A triple skos:broader (and skos:broadMatch) asserts that , the object of the triple, is a broader concept than , the subject of the triple.') |
|  | | Example(value='oio:database_cross_reference', description='Two terms are related in some way. The meaning is frequently consistent across a single set of mappings. Note this property is often overloaded even where the terms are of a different nature (e.g. interpro2go)') |
|  | | Example(value='rdfs:seeAlso', description='The subject and the object are associated in some unspecified way. The object IRI often resolves to a resource on the web that provides additional information.') |

