

CREATE TABLE mapping (
	subject_id TEXT NOT NULL, 
	subject_label TEXT, 
	subject_category TEXT, 
	predicate_id TEXT NOT NULL, 
	predicate_label TEXT, 
	predicate_modifier VARCHAR(3), 
	object_id TEXT NOT NULL, 
	object_label TEXT, 
	object_category TEXT, 
	mapping_justification TEXT NOT NULL, 
	author_id TEXT, 
	author_label TEXT, 
	reviewer_id TEXT, 
	reviewer_label TEXT, 
	creator_id TEXT, 
	creator_label TEXT, 
	license TEXT, 
	subject_type VARCHAR(23), 
	subject_source TEXT, 
	subject_source_version TEXT, 
	object_type VARCHAR(23), 
	object_source TEXT, 
	object_source_version TEXT, 
	mapping_provider TEXT, 
	mapping_cardinality VARCHAR(3), 
	mapping_tool TEXT, 
	mapping_tool_version TEXT, 
	mapping_date DATE, 
	confidence FLOAT, 
	subject_match_field TEXT, 
	object_match_field TEXT, 
	match_string TEXT, 
	subject_preprocessing VARCHAR(23), 
	object_preprocessing VARCHAR(23), 
	semantic_similarity_score FLOAT, 
	semantic_similarity_measure TEXT, 
	see_also TEXT, 
	other TEXT, 
	comment TEXT, 
	PRIMARY KEY (subject_id, subject_label, subject_category, predicate_id, predicate_label, predicate_modifier, object_id, object_label, object_category, mapping_justification, author_id, author_label, reviewer_id, reviewer_label, creator_id, creator_label, license, subject_type, subject_source, subject_source_version, object_type, object_source, object_source_version, mapping_provider, mapping_cardinality, mapping_tool, mapping_tool_version, mapping_date, confidence, subject_match_field, object_match_field, match_string, subject_preprocessing, object_preprocessing, semantic_similarity_score, semantic_similarity_measure, see_also, other, comment)
);

CREATE TABLE mapping_set (
	mappings TEXT, 
	mapping_set_id TEXT NOT NULL, 
	mapping_set_version TEXT, 
	mapping_set_source TEXT, 
	mapping_set_description TEXT, 
	creator_id TEXT, 
	creator_label TEXT, 
	license TEXT NOT NULL, 
	subject_type VARCHAR(23), 
	subject_source TEXT, 
	subject_source_version TEXT, 
	object_type VARCHAR(23), 
	object_source TEXT, 
	object_source_version TEXT, 
	mapping_provider TEXT, 
	mapping_tool TEXT, 
	mapping_date DATE, 
	subject_match_field TEXT, 
	object_match_field TEXT, 
	subject_preprocessing VARCHAR(23), 
	object_preprocessing VARCHAR(23), 
	see_also TEXT, 
	other TEXT, 
	comment TEXT, 
	PRIMARY KEY (mappings, mapping_set_id, mapping_set_version, mapping_set_source, mapping_set_description, creator_id, creator_label, license, subject_type, subject_source, subject_source_version, object_type, object_source, object_source_version, mapping_provider, mapping_tool, mapping_date, subject_match_field, object_match_field, subject_preprocessing, object_preprocessing, see_also, other, comment)
);
