## Introduction

SSSOM is a Simple Standard for Sharing Ontological Mappings: 

1. Introducing a machine-readable and extensible vocabulary to describe metadata of mappings.
2. Defining an easy to use table-based format that can be integrated into existing data science pipelines without the need to parse or query ontologies, and that integrates seamlessly with Linked Data standards. 
3. Implementing open and community-driven collaborative workflows designed to evolve the standard continuously to address changing requirements and mapping practices. 
4. Providing reference tools and software libraries for working with the standard.

**Quick links:**

- [GitHub page](https://github.com/mapping-commons/sssom)
- [Detailed description](spec.md)
- [A Simple Standard for Sharing Ontological Mappings (SSSOM)](https://arxiv.org/abs/2112.07051) (publication)
- [Specification](index.md)
- [Presentations](presentations.md)
- [SSSOM Toolkit](https://mapping-commons.github.io/sssom-py/)
